# List_All_Certificates_For_Customer

Retrieve all certificates for a customer.

`GET /v2/customers/{id}/certificates`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Customers
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Customers/List_All_Certificates_For_Customer/

## Description

Retrieve all certificates, and associated data, for a customer.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` |  | path | Yes | The id of the customer object. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CustomerCertificate` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `CustomerCertificate`

The object returned from the /v2/customers/{id}/certificates call.  The certificate nodel w customer pivot points is returned.  Note - to create a new certificate, you will need to use the Certificate Model.

| Property | Type | Required | Description |
|---|---|---|---|
| `actual_tax_code` | object[] | No | The actual tax code of the certificate. |
| `anonymous_customer_id` | integer | No |  Example: `23`. |
| `barcode_read` | boolean | No |  Example: `false`. |
| `business_number` | integer | No | business number associated with certificate. Example: `123`. |
| `business_number_type` | string | No |  Example: `NULL`. |
| `calc_id` | integer | No | id associated with calc account. Example: `1`. |
| `certificate_number` | string | No |  Example: `123`. |
| `client_id` | integer | No | The system generated company id. Example: `10327`. |
| `communication_id` | integer | No |  Example: `1`. |
| `created` | string | No | DateTime of when the record was created. Example: `2017-10-26 12:41:48.377959`. |
| `direct` | boolean | No |  Example: `true`. |
| `document_type` | object[] | No | Designates the document type. |
| `exempt_reason_description` | string | No |  Example: `NULL`. |
| `exmpt_percent` | number | No |  Example: `100`. |
| `expected_tax_code` | object[] | No | The expected tax code of the certificate. |
| `expiration_date` | string | No | Date of when the record expires. Example: `2017-10-26`. |
| `explicit` | boolean | No |  Example: `true`. |
| `exposure_zone` | ExposureZone | No |  |
| `filename` | string | No | The certificate file name that was uploaded. Example: `123123.pdf`. |
| `id` | integer | No | System Generated Certificate id. Example: `1`. |
| `is_single` | boolean | No | Designates if certificate is single. Example: `true`. |
| `legacy_certificate_id` | string | No |  Example: `12345`. |
| `location_id` | integer | No |  Example: `8`. |
| `modified` | string | No | DateTime of when the record was modified. Example: `2017-10-26 12:41:48.377959`. |
| `never_renew` | boolean | No | Designates if a certificate can be renewed. Example: `false`. |
| `page_count` | integer | No | number of pages certificates contains. Example: `1`. |
| `renewable` | boolean | No | Designates if a certificate can be renewed. Example: `true`. |
| `s3_document_exists` | boolean | No | Designates if certificate exists in s3. Example: `true`. |
| `signed_date` | string | No | Date of when the record was signed. Example: `2017-10-31`. |
| `sst_metadata` | string | No |  Example: `NULL`. |
| `status` | object[] | No | Status of the certificate. |
| `tax_number` | string | No |  Example: `89898`. |
| `tax_number_type` | string | No |  Example: `12345`. |
| `unused_multi_cert` | boolean | No |  Example: `false`. |
| `valid` | boolean | No | Designates if a certificate is valid. Example: `true`. |
| `verification_number` | string | No |  Example: `89898`. |
| `verified` | boolean | No | Designates if a certificate has been verified. Example: `false`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/customers/{id}/certificates" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```